#include "colorspace.hh"

class CMYK : public Colorspace
{
    double Cyan, Magenta, Yellow, Black;
public:
    virtual void Set(const RGB &rgb)
    {
        Cyan    = rgb.r;
        Magenta = rgb.g;
        Yellow  = rgb.b;
        if(Cyan < Magenta)
            if(Cyan < Yellow)
                Black = Cyan;
            else
                Black = Yellow;
        else
            if(Magenta < Yellow)
                Black = Magenta;
            else
                Black = Yellow;
    }
    virtual RGB Get() const
    {
        RGB tmp;
        tmp.r = Cyan * Black;
        tmp.g = Magenta * Black;
        tmp.b = Yellow * Black;
        return tmp;
    }
};
